﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - ЧГК Форум</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">ЧГК Форум</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        @if(User.IsInRole("Admin") || User.IsInRole("Root"))
                        {
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-controller="Users" asp-action="Index" disabled>Список пользователей</a>
                            </li>
                        }
                        @if(User.IsInRole("Root"))
                        {
                            <li>
                                <a class="nav-link text-dark" asp-controller="Roles" asp-action="Index" disabled>Список Ролей</a>
                            </li>
                        }
                    </ul>
                    @if(User.Identity.IsAuthenticated)
                            {
                                <div>
                                    @User.Identity.Name
                                </div>
                                <form method="post" asp-controller="Account" asp-action="Logout">
                                    <input type="submit" value="Выход" class="btn button"/>
                                </form>
                            }
                            @if(!User.Identity.IsAuthenticated)
                            {
                                
                                <a asp-controller="Account" asp-action="Login" class="btn button" >Вход</a>
                                <a asp-controller="Account" asp-action="Register" class="btn button">Регистрация </a>
                            }
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

@*    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2021 - Forum.WEB - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>*@

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>

    <script src="https://ajax.aspnetcdn.com/ajax/jquery.validate/1.17.0/jquery.validate.min.js"
        asp-fallback-src="~/lib/jquery-validation/dist/jquery.validate.min.js"
        asp-fallback-test="window.jQuery && window.jQuery.validator">
    </script>
    <script src="https://ajax.aspnetcdn.com/ajax/jquery.validation.unobtrusive/3.2.10/jquery.validate.unobtrusive.min.js"
        asp-fallback-src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.min.js"
        asp-fallback-test="window.jQuery && window.jQuery.validator && window.jQuery.validator.unobtrusive">
    </script>

    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>
